
program gt_test

        use GT
        implicit none

        
        ! fct input 
        real    :: tt2m, el2m, Tmrt, vau1m
        real    :: gamma,albedo
        real difiso,difzrk,dirsnk,dirson_b,g_kw,r_kw
        real    :: lat, lon, alt, utc, td, ff, anemoheight, tdmax
        integer :: year, month, day, nges, ntief, cl, cm, ch
        integer :: julia

        ! fct output argument
        real      :: pmva, clo, ptc, d_std, pmvs, pb
        integer   :: nerr
        character :: schwuel*1

        character(len=10) :: linkepath

        ! fct return val
        real :: pt_out, tgef_out

        ! test values
        !julianday = 100
        tt2m = 23.3
        el2m = 17.52
        Tmrt = 17.55
        vau1m = 1.0
        pb = 980.0

        write(*,*) "PT for different wind speeds using pt_basic"

        vau1m = 0
        do while(vau1m<2)
                pt_out = pt_basic(tt2m, el2m, Tmrt, vau1m, pb, pmva, clo, nerr, ptc, schwuel, d_std, pmvs)
               write(*,*) vau1m,  pt_out, clo
                vau1m = vau1m + 0.25
        end do

        ! test vdi function
        linkepath = "../Linke/"

        lat = 48.1
        lon = 8.0
        alt = 236.3
        year = 1949
        month = 6
        day = 6
        utc = 12.00

        tt2m = 23.3
        vau1m = 7.2
        nges = 1
        ntief = 0
        cl = 0
        cm = 0
        ch = 0
        anemoheight = 1

        td =   12
        tdmax = 24

        write(*,*) "Example calls of tgef_vdi"
        do while(td < tdmax)
                nges = 0
                do while (nges < 9)
                        tgef_out = tgef_vdi(linkepath, lat, lon, alt, year, month, day, utc, &
                              tt2m, td, vau1m, vau1m, nges, ntief, cl, cm, ch, &
                              anemoheight, Tmrt, el2m)
                        write(*,*) tgef_out, Tmrt, vau1m, el2m, td, nges
                        nges = nges + 2
                end do
                td = td + 0.5
        end do
        


        write(*,*) "An example call of kwstvdi"

        julia = 200 
        gamma = 90.
        albedo = 0.2


        call kwstvdi(linkepath,julia, lat, lon, gamma, albedo, &
                        pb, nges, ch,                                  &
                        difiso, difzrk, dirsnk ,dirson_b, g_kw, r_kw)
        write(*,*), dirson_b
        write(*,*), g_kw

end program gt_test


